try {
	let e = "undefined" != typeof window ? window : "undefined" != typeof global ? global : "undefined" != typeof globalThis ? globalThis : "undefined" != typeof self ? self : {}, n = new e.Error().stack;
	n && (e._sentryDebugIds = e._sentryDebugIds || {}, e._sentryDebugIds[n] = "851d6ca9-5053-4ad5-9ea6-fdbe1254cdf1", e._sentryDebugIdIdentifier = "sentry-dbid-851d6ca9-5053-4ad5-9ea6-fdbe1254cdf1");
} catch (e) {}
import { jsx, jsxs } from "preact/jsx-runtime";
//#region node_modules/.pnpm/@adyen+ui-assets-icons-16@7.9.3_vue@3.5.34_typescript@6.0.3_/node_modules/@adyen/ui-assets-icons-16/dist/svg/checkmark-circle-fill.svg?component
var SvgCheckmarkCircleFill = (props) => /* @__PURE__ */ jsxs("svg", {
	xmlns: "http://www.w3.org/2000/svg",
	width: 16,
	height: 16,
	fill: "none",
	role: "img",
	...props,
	children: [/* @__PURE__ */ jsx("g", {
		clipPath: "url(#uia-ui-assets/icons-16-checkmark_circle_fill__a)",
		children: /* @__PURE__ */ jsx("path", {
			fill: "#001222",
			d: "M0.25 8C0.25 3.71979 3.71979 0.25 8 0.25C12.2802 0.25 15.75 3.71979 15.75 8C15.75 12.2802 12.2802 15.75 8 15.75C3.71979 15.75 0.25 12.2802 0.25 8ZM11.0001 4.93945L7.0001 8.93946L5.00011 6.93947L3.93945 8.00013L7.00011 11.0608L12.0608 6.00011L11.0001 4.93945Z"
		})
	}), /* @__PURE__ */ jsx("defs", { children: /* @__PURE__ */ jsx("clipPath", {
		id: "uia-ui-assets/icons-16-checkmark_circle_fill__a",
		children: /* @__PURE__ */ jsx("rect", {
			width: 16,
			height: 16,
			fill: "#fff"
		})
	}) })]
});
//#endregion
export { SvgCheckmarkCircleFill as default };
